// SPropDlg.cpp : implementation file
//

#include "stdafx.h"
#include "WMSE.h"
#include "SPropDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSPropDlg dialog


CSPropDlg::CSPropDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSPropDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSPropDlg)
	m_sDestFile = _T("");
	m_sServiceName = _T("");
	m_bONS = FALSE;
	m_sLogFile = _T("");
	m_sSourceFile = _T("");
	m_iPort = 0;
	m_sStartup = _T("");
	m_sExecutable = _T("");
	m_sPlugins = _T("");
	//}}AFX_DATA_INIT
  editing=0;
}


void CSPropDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSPropDlg)
	DDX_Control(pDX, IDC_EXECUTABLE, m_cExecutable);
	DDX_Control(pDX, IDC_SERVICENAME, m_cServiceName);
	DDX_Text(pDX, IDC_DESTFILE, m_sDestFile);
	DDX_Text(pDX, IDC_SERVICENAME, m_sServiceName);
	DDV_MaxChars(pDX, m_sServiceName, 16);
	DDX_Check(pDX, IDC_ONS, m_bONS);
	DDX_Text(pDX, IDC_LOGFILE, m_sLogFile);
	DDX_Text(pDX, IDC_SOURCEFILE, m_sSourceFile);
	DDX_Text(pDX, IDC_PORT, m_iPort);
	DDV_MinMaxInt(pDX, m_iPort, 1, 32767);
	DDX_Text(pDX, IDC_STARTUP, m_sStartup);
	DDX_Text(pDX, IDC_EXECUTABLE, m_sExecutable);
	DDX_Text(pDX, IDC_PLUGINS, m_sPlugins);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSPropDlg, CDialog)
	//{{AFX_MSG_MAP(CSPropDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSPropDlg message handlers

void CSPropDlg::OnOK() 
{	
	CDialog::OnOK();
}


int CSPropDlg::DoModal() 
{	
	return CDialog::DoModal();
}

BOOL CSPropDlg::OnInitDialog()
{
  CDialog::OnInitDialog();

  if (editing)
  {
    m_cServiceName.SetReadOnly(TRUE);
    m_cExecutable.SetReadOnly(TRUE);
    ((CEdit*)GetDlgItem(IDC_SOURCEFILE))->SetFocus();

  }
  else
  {
    m_cServiceName.SetReadOnly(FALSE);
    m_cExecutable.SetReadOnly(FALSE);
    ((CEdit*)GetDlgItem(IDC_SERVICENAME))->SetFocus();
  }
 
  return 0;
}
